Skip to content

Search is only available in production builds. Try building and previewing the site to test it out locally.

Payout Countries


Endpoint

Method: GET URL: /api/v1/pay-out/countries

Authentication: Basic Auth (Business Key + Secret)


Query Parameters

ParameterTypeRequiredDescription
iso_codestringNoISO-3 country code to filter by country
namestringNoCountry name to filter results
service_idintegerNoFilter by payout service type

Example cURL

Terminal window
curl -X GET "https://api.cashela.com/api/v1/pay-out/countries?iso_code=BRA" \
-H "Authorization: Basic BASE64_ENCODED_KEY_SECRET" \
-H "Content-Type: application/json" \
-H "Accept: application/json"

Example Response

{
"success": true,
"data": [
{ "id": 11, "name": "Argentina", "iso_code": "ARG" },
{ "id": 3, "name": "Brazil", "iso_code": "BRA" }
],
"message": "Countries retrieved successfully.",
"role": "business"
}

Response Fields

FieldTypeDescription
idintegerUnique country identifier
namestringCountry name
iso_codestringISO-3 country code

Notes

  • Use ISO-3 for country codes.
  • Filtering is optional; omit to get all available countries.